- Main Page
- Data Structures
- Files
- Directories

- Search for |

- File List
- Globals

# vitals.c File Reference

`#include <ubixos/vitals.h>`
`#include <ubixos/kpanic.h>`
`#include <lib/kprintf.h>`
`#include <lib/kmalloc.h>`
`#include <string.h>`

Include dependency graph for vitals.c:

Go to the source code of this file.

## Functions
int | vitals_init ()
## Variables
vitalsNode * | systemVitals = 0x0

## Function Documentation

int vitals_init | ( |  | ) |

Definition at line 48 of file vitals.c.

References vitalsStruct::dQuantum, kmalloc(), kpanic(), kprintf(), memset(), vitalsStruct::quantum, and systemVitals.

Here is the call graph for this function:

## Variable Documentation

vitalsNode* systemVitals = 0x0

Definition at line 36 of file vitals.c.

Referenced by adjustCowCounter(), fclose(), fopen(), freePage(), keyboardHandler(), kmain(), ogPrintf(), sysGetTime(), sysGetUptime(), systemTask(), time_init(), ubthread_cond_timedwait(), vfs_addMount(), vfs_findMount(), vfs_init(), vfsFindFS(), vfsRegisterFS(), vitals_init(), vmmFindFreePage(), and vmmFreeProcessPages().